Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/19/2020 in all areas

  1. Do yourself a favor and check out this tutorial, as I am sure it will be quite helpful. Press/Pull is great functionality, quite intuitive and time saving. https://www.cadtutor.net/tutorials/autocad/extrude-and-press-pull/ Go to the Tutorials tab on the forum, and watch all of the ones in 3D Basics and you wil be at the head of your class in no time, without the need of your instructor. Take the initiative and you will be way ahead of your course, and very comfortable.
    2 points
  2. Use this regardless of the result of the fucntion rgt is a list or a single string.. (vl-remove-if-not '(lambda (i) (member (car i) (apply 'append desire-block-names))) block-list))
    1 point
  3. Their blocks with attributes so much easier there are many variations of attribute to table out there. Just google. Or try EATTEXT you will need to make a new dxe when asked and untick options on the chooses.
    1 point
  4. Case in point, here is my Raspberry PI 4 running AutoCAD 2.18 under DosBox. Works great.
    1 point
  5. Use the same code... You forgot : ("sp" . 1) in result... ; )
    1 point
  6. (vl-remove-if-not '(lambda (i) (member (car i) list1)) list2)
    1 point
  7. Oops, I didn't finish the final drawing
    1 point
  8. That's straight 100% AutoCAD 2020 and nothing else. Yes I drew the profile in 2D 1st as that was the best way for me to figure it out. Once I finished the profile I mirrored it over to add dimensions to make sure that I got it correct. I then copied the center-line and right profile up a bit so I could revolve it. I made sure that the profile was a closed polyline before using the revolve command. I change the view to a SE view so I can everything. So I use the Revolve command, I just type in commands btw. I use the copied center-line as my axis and tell it 360 degrees. Once finished I got to front view and draw the circles and then do a polar array to copy them around. I then go back to a SE view. Then I explode the array so I can extrude the circles past the part. Then I use the subtract command to subtract the 3 rods from the part. After this I go back to top view and then changed the part color to a blue and slightly did a 3D view rotate to show the part in 3D. I then set a slight transparent visual style. BAZINGA!
    1 point
  9. Zoom in really far at the top left corner (I'd check everywhere else as well)
    1 point
  10. Try this, but note its hard coded to match your block type and you only provided 1 block sample rather than a few also the blocks are tiny messing with the table not sure about that. I tested on copies of the 1 block. There appears also to be a NULL string in block. https://www.cadtutor.net/forum/topic/70795-block-table/ ; make a table of text entities inside a block not attributes. ; By AlanH info@alanh.com.au ; July 2020 ; ah:maketable is a library function and can be used in other code. (defun AH:blktxtents ( / obj x yz k lst2 lst ) (vl-load-com) ;(setq numrows 3) ;(setq numcolumns 6) ;(setq rowheight 0.5) ;(setq colwidth 0.5) (defun AH:maketable ( numrows numcolumns rowheight colwidth / pt1 ) (setq curspace (vla-get-modelspace doc)) (setq pt1 (vlax-3d-point (getpoint "\nPick point for top left hand of table: "))) (setq objtable (vla-addtable curspace pt1 numrows numcolumns rowheight colwidth)) (vla-settext objtable 0 0 "Heading 1") (vla-settext objtable 1 0 "No") (vla-settext objtable 1 1 "X") (vla-settext objtable 1 2 "Y") (vla-settext objtable 1 3 "Z") (vla-settext objtable 1 4 "Elev") (vla-settext objtable 1 5 "Desc") ) (defun AH:addlinet (lst / rowcnt rowhgt) (setq rowcnt (vla-get-rows objtable)) (setq rowhgt (vla-getRowHeight objtable 2)) (vla-InsertRows objTable rowcnt rowhgt 1) (vla-settext objtable (- rowcnt 1) 0 (nth 4 lst)) (vla-settext objtable (- rowcnt 1) 1 (rtos (nth 0 lst)2 3)) (vla-settext objtable (- rowcnt 1) 2 (rtos (nth 1 lst) 2 3)) (vla-settext objtable (- rowcnt 1) 3 (rtos (nth 2 lst)2 3)) (vla-settext objtable (- rowcnt 1) 4 (nth 6 lst)) (vla-settext objtable (- rowcnt 1) 5 (nth 5 lst)) ) ;; starts here (setq doc (vla-get-activedocument (vlax-get-acad-object))) (setq blks (vla-get-blocks doc )) (setq blk (entget (car (entsel "Pick block for layer")))) (ah:maketable 3 6 5 50) (setq objtable (vlax-ename->vla-object (entlast))) (vla-put-RegenerateTableSuppressed objtable :vlax-true) (setq lay (cdr (assoc 8 blk))) (setq ss (ssget (list (cons 0 "INSERT")(cons 8 lay)))) (repeat (setq k (sslength ss)) (setq lst '()) (setq obj (vlax-ename->vla-object (ssname ss (setq k (- k 1))))) (setq ins (vlax-get Obj 'insertionPoint)) (setq lst1 (list (car ins) (cadr ins) (caddr ins))) (setq bname (vla-get-name obj)) (setq lst2'()) (vlax-for block blks (if (= (vla-get-name block) bname) (vlax-for ent block (if (or (= (vla-get-objectname ent) "AcDbMText")(= (vla-get-objectname ent) "AcDbText")) (setq lst2 (cons (vla-get-textstring ent) lst2)) ) ) ) ) (if (/= lst2 nil) (AH:addlinet (append lst1 lst2)) (princ "\nWrong type of block") ) ) (vla-RecomputeTableBlock objtable :vlax-true) (princ) ) (AH:blktxtents)
    1 point
×
×
  • Create New...